/**
* +----------------------------------------------------------------------+
* | This file is part of the Ayyi project. http://www.ayyi.org           |
* | copyright (C) 2004-2020 Tim Orford <tim@orford.org>                  |
* +----------------------------------------------------------------------+
* | This program is free software; you can redistribute it and/or modify |
* | it under the terms of the GNU General Public License version 3       |
* | as published by the Free Software Foundation.                        |
* +----------------------------------------------------------------------+
*
*/

#define __window_c__
#include "global.h"
#include "stdio.h"

// This enum is now only used for bootstrapping.
// It is a list of the _default_ panels only.
typedef enum {
	WINDOW_TYPE_NONE,
	TYPE_XX,
	WINDOW_TYPE_MAX
} StaticPanelType;

REGISTER1

DefaultPanelClass default_panel_class_types[WINDOW_TYPE_MAX];

void register_panels()
{
	REGISTER2

#ifdef USE_HELP
	extern GType ayyi_help_win_get_type();
	windows__add_type(ayyi_help_win_get_type());
#endif

#ifdef USE_SPECTROGRAM
	extern GType ayyi_spectrogram_win_get_type();
	windows__add_type(ayyi_spectrogram_win_get_type());
#endif
}

